Subject: Re: [Ideas] Prep for BOF in July - Your input Needed on a Charter Proposal

From: Shreyasee Mukherjee <[email-masked]>
Date: Tue, 16 May 2017 18:08:38 -0400

Should the deliverables also include how a few of the use-cases (mobility,
IoT, M2M, etc.) would be supported?

@Alex: Along with the interfaces to the different intra-protocol services,
I think there should also be a deliverable on a backward
compatible interface to the control plane to allow inter-operability to
LISP, HIP and other works.

--shreyasee

On Sun, May 14, 2017 at 3:00 PM, <[email-masked]> wrote:

> Send Ideas mailing list submissions to
>         [email-masked]
>
> To subscribe or unsubscribe via the World Wide Web, visit
>         https://www.ietf.org/mailman/listinfo/ideas
> or, via email, send a message with subject or body 'help' to
>         [email-masked]
>
> You can reach the person managing the list at
>         [email-masked]
>
> When replying, please edit your Subject line so it is more specific
> than "Re: Contents of Ideas digest..."
>
> Today's Topics:
>
>    1. Prep for a BOF in July - Your Input Needed on PS
>       (Padma Pillay-Esnault)
>    2. Prep for BOF in July - Your input Needed on a Charter
>       Proposal (Padma Pillay-Esnault)
>
>
> ---------- Forwarded message ----------
> From: Padma Pillay-Esnault <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Sat, 13 May 2017 17:02:12 -0700
> Subject: [Ideas] Prep for a BOF in July - Your Input Needed on PS
> Hello IDEAS
>
> The deadline for a request for a BOF for IETF99 in July is 6/02/2017 which
> is a few weeks away. We would like to have input from the list for
> organizing the BOF.
>
> The problem statement version -001 advocates for a standardized, secured
> common control plane with data integrity. See below pointer and for
> companion docs see section 7.
>
> IDEAS-Problem-Statement-01
> <https://tools.ietf.org/html/draft-padma-ideas-problem-statement-01>
>
> Brief recap of main points
>
> 1. Key problems due to lack of a common control plane Infrastructure
>
> a.  An impediment for the deployment of ID-enabled solutions as it
> is inefficient to deploy several specialized mapping/resolution network
> databases within the same administrative domain.
>
> b.  Difficulty to have an overall view of the network.  If
> multiple ID-enabled solutions with distinct mapping systems are
> deployed, troubleshooting may be difficult as the information may
> be located in different places.
>
> c.  Complex Management due to disjoint information spread over several
> mapping systems.  Operations such as merging networks are error prone and
> more challenging to detect and fix.
>
> d.  Barriers to the application of common and consistent policies. For
> example, in cross-platform IoT networking, brokering services may be needed
> to enforce routing/security/QoS/TE policies on behalf of partnering
> structures - service provider, energy provider, content provider, etc.
>
> e.  Risk for fragmented connectivity.  A high diversity of mapping system
> variants will create silos of communications.
>
> f.  Complex cross-MS communications.  A common resolution
> system  infrastructure may facilitate cross-MS communications.  Today it is
> difficult to communicate with multiple customized ID mapping systems with
> distinct interfaces.
>
> 2. Security of the infrastructure
> Vulnerability and how to address it
>
> 3. Security of the data stored in infrastructure
> Access to the mapping system must be secured in order to address privacy
> data integrity.
>
>
> Your comments and suggestions welcome
>
>
>
> ---------- Forwarded message ----------
> From: Padma Pillay-Esnault <[email-masked]>
> To: [email-masked]
> Cc:
> Bcc:
> Date: Sat, 13 May 2017 17:08:15 -0700
> Subject: [Ideas] Prep for BOF in July - Your input Needed on a Charter
> Proposal
> Hello IDEAS
>
> The deadline for a request for a BOF for IETF99 in July is 6/02/2017 and
> just a few weeks away.
>
> Please see below a tentative charter proposal. We would like to have input
> from the list regarding the charter. We would like to hear from you
> regarding the scope of work and your interests.
>
> Proposed Charter
>
>
>
> The Identity Enabled Networks (IDEAS) working group focuses on the
> framework  to implement a common control plane for identifier–location
> separation protocols.
>
>
>
> The identifier-enabled solutions and applications are increasingly being
> considered to support mobility solutions across heterogeneous access
> networks, Internet of Things, Machine to Machine (M2M), context aware
> applications and security.  Due to the diverse nature of devices and
> applications, it may not be possible to deploy a single protocol end to
> end. A common control plane will address siloes in discovery and
> communications.  Moreover, a common control plane will address the
> technical and operational hurdle to deployment and interoperability of
> solutions.
>
>
>
> The working group will specify an overall architecture for  a common
> control plane and services for identity-enabled technology.  More
> specifically these services will include:
>
> ·      registration and lifecycle management of identities and associated
> identifiers
>
> ·      identifier binding to location(s),
>
> ·      support for grouping,
>
> ·      definition and enforcement of policies
>
> ·      support for metadata.
>
> Additionally, the control plane interface and protocol extensions that
> allow clients to communicate with that infrastructure will be covered.
>
>
>
> The abstraction provided by a secured identity will give a new level of
> control for confidentiality, accountability, security and access-control.
> The working group will cover these aspects and balance them with the
> minimized storage of data and privacy considerations.
>
>
>
> Specifically, the IDEAS WG is chartered to work on these areas:
>
>
>
> Overall architecture: This work covers the control plane, management,
> policy control, and security aspects.
>
>
>
> Manageability of the architecture: The working group will cover the
> management aspects of IDEAS architectural components and the services that
> they provide.
>
>
>
> Interface to the architecture: This work will cover interface interactions
> between the framework and identifier-enabled protocol.
>
>
>
> Where appropriate, the IDEAS WG will collaborate with other Working Groups
> to ensure interoperability with LISP, HIP, ILA and other relevant work.
>
>
>
> WG deliverables include:
>
> Overall architecture
>
>
>
> WG sustaining/informational documents may include:
>
>
>
> These documents may not necessarily be published, but may be
>
> maintained in a draft form or on a collaborative Working Group wiki
>
> to support the efforts of the Working Group and help new comers:
>
> -Problem statement
>
> -Use cases
>
> -Requirements
>
> .....
>
>
>
>
>
> Milestones
>
> TBD
>
> _______________________________________________
> Ideas mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ideas
>
>

---

From: Padma Pillay-Esnault <[email-masked]>
Date: Tue, 16 May 2017 22:52:14 -0700

Hello Shreyasee

> IoT, M2M, etc.) would be supported?

Do you mean how the architecture is used for specific use cases?

This could be interesting to show the application.
It would be great if you and others could take a lead on this.

> LISP, HIP and other works.
I thought we covered this aspect with this sentence
"Moreover, a common control plane will address the technical and
operational hurdle to deployment and interoperability of solutions."

I do think that backward compatibility may be too strong a requirement, it
might be that we need some tweaks. Hence we will work with the appropriate
wg if the need arise.

Does that address your point?

Thanks
Padma

>> The deadline for a request for a BOF for IETF99 in July is 6/02/2017
>> which is a few weeks away. We would like to have input from the list for
>> organizing the BOF.
>>
>> Please see below a tentative charter proposal. We would like to have
>> input from the list regarding the charter. We would like to hear from you
>> ·      registration and lifecycle management of identities and
>> associated identifiers
>>
>> Interface to the architecture: This work will cover interface
>> interactions between the framework and identifier-enabled protocol.
>>
>>
>>
>> Where appropriate, the IDEAS WG will collaborate with other Working
>> Groups to ensure interoperability with LISP, HIP, ILA and other relevant
>> work.
>>
>>
>>
>> WG deliverables include:
>>
>> Overall architecture
>>
>>
>>

---

From: Shreyasee Mukherjee <[email-masked]>
Date: Wed, 17 May 2017 12:37:43 -0400

Hi Padma,

Sure, let me know. Like you mentioned we could add some text on hetnets
with mobility and multihoming.

--shreyasee

On Wed, May 17, 2017 at 1:52 AM, Padma Pillay-Esnault <[email-masked]>
wrote:

>> Should the deliverables also include how a few of the use-cases
>> (mobility, IoT, M2M, etc.) would be supported?
>>
>

>> @Alex: Along with the interfaces to the different intra-protocol
>> services, I think there should also be a deliverable on a backward
>>> The problem statement version -001 advocates for a standardized,
>>> secured common control plane with data integrity. See below pointer and for
>>> e.  Risk for fragmented connectivity.  A high diversity of
>>> mapping system variants will create silos of communications.
>>>

---

From: Padma Pillay-Esnault <[email-masked]>
Date: Wed, 17 May 2017 22:50:52 -0700

HI Shreyasee

Can you write a small blurb on this?

Thanks
Padma

On Wed, May 17, 2017 at 9:37 AM, Shreyasee Mukherjee <
[email-masked]> wrote:

> On Wed, May 17, 2017 at 1:52 AM, Padma Pillay-Esnault <
> [email-masked]> wrote:
>
>> Hello Shreyasee
>>
>> I do think that backward compatibility may be too strong a requirement,
>> it might be that we need some tweaks. Hence we will work with the
>> appropriate wg if the need arise.
>>
>>>> Access to the mapping system must be secured in order to address
>>>> privacy data integrity.
>>>>
>>>>
>>>> and just a few weeks away.
>>>>
>>>> The identifier-enabled solutions and applications are increasingly
>>>> being considered to support mobility solutions across heterogeneous access